| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Attributes | List of all members
nkGraphics::DecodedMaterialData Struct Referencefinal

Holds data about a decoded material. More...

## Public Attributes
nkMaths::Vector | _ambientColor = nkMaths::Vector(1, 1, 1)
| The ambient color, if any.
int | _ambientTextureIndex = -1
| The ambient texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _ambientTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the ambient texture.
TextureChannels | _ambientTextureChannels
| The ambient texture used channels.
nkMaths::Vector | _diffuseColor = nkMaths::Vector(1, 1, 1)
| The diffuse color, if any.
int | _diffuseTextureIndex = -1
| The diffuse texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _diffuseTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the diffuse texture.
TextureChannels | _diffuseTextureChannels
| The diffuse texture used channels.
nkMaths::Vector | _specularColor = nkMaths::Vector(1, 1, 1)
| The specular color, if any.
int | _specularTextureIndex = -1
| The specular texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _specularTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the specular texture.
TextureChannels | _specularTextureChannels
| The specular texture used channels.
nkMaths::Vector | _emissiveColor = nkMaths::Vector(0, 0, 0)
| The emissive color, if any.
int | _emissiveTextureIndex = -1
| The emissive texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _emissiveTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the emissive texture.
TextureChannels | _emissiveTextureChannels
| The emissive texture used channels.
float | _roughnessFactor = 0.5f
| The roughness factor, if any.
int | _roughnessTextureIndex = -1
| The roughness texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _roughnessTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the roughness texture.
TextureChannels | _roughnessTextureChannels
| The roughness texture used channels.
float | _metalnessFactor = 0.5f
| The metalness factor, if any.
int | _metalnessTextureIndex = -1
| The metalness texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _metalnessTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the metalness texture.
TextureChannels | _metalnessTextureChannels
| The metalness texture used channels.
float | _glossinessFactor = 0.5f
| The glossiness factor, if any.
int | _glossinessTextureIndex = -1
| The glossiness texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _glossinessTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the glossiness texture.
TextureChannels | _glossinessTextureChannels
| The glossiness texture used channels.
float | _occlusionFactor = 1.f
| The occlusion factor, if any.
int | _occlusionTextureIndex = -1
| The occlusion texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _occlusionTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the occlusion texture.
TextureChannels | _occlusionTextureChannels
| The occlusion texture used channels.
int | _normalTextureIndex
| The normal map texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1. More...
TextureChannels | _normalTextureChannels
| The normal map texture used channels.
float | _alphaValue = 1.f
| The global alpha value, if any.
int | _alphaTextureIndex = -1
| The alpha texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.
int | _alphaTextureCoordinatesIndex = 0
| The texture coordinate attribute index used by the alpha texture.
TextureChannels | _alphaTextureChannels
| The alpha texture used channels.

## Detailed Description

Holds data about a decoded material.

## Member Data Documentation

## ◆ _normalTextureIndex

int nkGraphics::DecodedMaterialData::_normalTextureIndex

Initial value:
= -1
int _normalTextureCoordinatesIndex = 0

The normal map texture, as the index within the DecodedTextureData set counterpart. No texture is encoded by -1.

The texture coordinate attribute index used by the normal map texture.

The documentation for this struct was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Encoders/Data/DecodedMaterialData.h